﻿$packageName = 'whitebox.portable'
$url = 'http://www.uoguelph.ca/~hydrogeo/Whitebox/WhiteboxGAT.zip'
$unzipLocation = $(Split-Path -parent $MyInvocation.MyCommand.Definition)

Install-ChocolateyZipPackage $packageName $url $unzipLocation

$JavaExe = Join-Path $env:programdata 'Oracle\Java\javapath\javaw.exe'
$target = (Get-ChildItem $unziplocation -filter whiteboxgis.jar -Recurse).fullname
# Waiting on https://github.com/chocolatey/shimgen/issues/16 ??
$launcher = Join-Path $unziplocation 'WhiteBox.exe'
$sg = Join-Path $env:ChocolateyInstall 'tools\shimgen.exe'

& $sg -o $launcher -p $JavaExe -c "-jar '$target'" --gui

$desktop = $([Environment]::GetFolderPath([Environment+SpecialFolder]::DesktopDirectory))
$shortcut = Join-Path $desktop 'WhiteBoxGAT.lnk'

# $launcher = Join-Path $env:ChocolateyInstall "bin\whitebox.bat"
# if (Test-Path ($launcher)) {Remove-Item $launcher -force}

# "@echo off
# ""$JavaExe"" -jar ""$target"" %*
# exit /b %ERRORLEVEL%" | Out-File $launcher -encoding ASCII

Install-ChocolateyShortcut -ShortcutFilePath $shortcut -TargetPath $launcher
